wibble::IteratorMixin< T, Self > Struct Template Reference

`#include <iterator.h>`

Inheritance diagram for wibble::IteratorMixin< T, Self >:
[legend]
Collaboration diagram for wibble::IteratorMixin< T, Self >:
[legend]

## Public Types

typedef T | ElementType
typedef std::forward_iterator_tag | iterator_category
typedef T | value_type
typedef ptrdiff_t | difference_type
typedef T * | pointer
typedef T & | reference
typedef const T & | const_reference

## Public Member Functions

Self & | self ()
const Self & | self () const
IteratorProxy< T > | operator-> () const
Self | next () const
T | operator* () const
Self & | operator++ ()
Self | operator++ (int)
Public Member Functions inherited from wibble::mixin::Comparable< Self >
const Self & | cmpSelf () const
bool | operator!= (const Self &o) const
bool | operator== (const Self &o) const
bool | operator< (const Self &o) const
bool | operator> (const Self &o) const
bool | operator>= (const Self &o) const

## Member Typedef Documentation

## const_reference

template<typename T, typename Self>

typedef const T& wibble::IteratorMixin< T, Self >::const_reference

## difference_type

template<typename T, typename Self>

typedef ptrdiff_t wibble::IteratorMixin< T, Self >::difference_type

## ElementType

template<typename T, typename Self>

typedef T wibble::IteratorMixin< T, Self >::ElementType

## iterator_category

template<typename T, typename Self>

typedef std::forward_iterator_tag wibble::IteratorMixin< T, Self >::iterator_category

## pointer

template<typename T, typename Self>

typedef T* wibble::IteratorMixin< T, Self >::pointer

## reference

template<typename T, typename Self>

typedef T& wibble::IteratorMixin< T, Self >::reference

## value_type

template<typename T, typename Self>

typedef T wibble::IteratorMixin< T, Self >::value_type

## Member Function Documentation

## next()

template<typename T, typename Self>

Self wibble::IteratorMixin< T, Self >::next | ( |  | ) | const

inline

## operator*()

template<typename T, typename Self>

T wibble::IteratorMixin< T, Self >::operator* | ( |  | ) | const

inline

## operator++() [1/2]

template<typename T, typename Self>

Self& wibble::IteratorMixin< T, Self >::operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename T, typename Self>

Self wibble::IteratorMixin< T, Self >::operator++ | ( | int |  | ) |

inline

## operator->()

template<typename T, typename Self>

IteratorProxy< T > wibble::IteratorMixin< T, Self >::operator-> | ( |  | ) | const

inline

## self() [1/2]

template<typename T, typename Self>

Self& wibble::IteratorMixin< T, Self >::self | ( |  | ) |

inline

## self() [2/2]

template<typename T, typename Self>

const Self& wibble::IteratorMixin< T, Self >::self | ( |  | ) | const

inline

The documentation for this struct was generated from the following file:

- iterator.h